<link rel="import" href="/extern/bower_components/polymer/polymer.html">
<!--
`ts-session` is a template used to abstract away the session from panel developers.
It also emulates the way the old dojo panels used to handle the session.

-->
<dom-module id="ts-session">
    <script>
Polymer({is:"ts-session",properties:{sessionid:{type:String,value:"no session",notify:!0,reflectToAttribute:!0,observer:"_sessionidchanged"}},updateID:function(){this.sessionid=window.ts_session.id},_sessionidchanged:function(){"no session"!=this.sessionid&&(window.ts_session={id:this.sessionid})}});
</script>
</dom-module>
